/**
 * @用途
 * @author 黄敏
 * @创建时间 2022-08-10 15:39
 **/
interface ItemReturn {
    text: string;
    data: string[];
}
declare class ContactInfo {
    static config: {
        line: f2.info.Config;
        email: f2.info.Config;
        phone: f2.info.Config;
        qq: f2.info.Config;
        skype: f2.info.Config;
        telegram: f2.info.Config;
        wechat: f2.info.Config;
        icq: f2.info.Config;
        whatsapp: f2.info.Config;
        icp: f2.info.Config;
    };
    static configArr: readonly f2.info.TypeConfig[];
    static validate(type: f2.info.Type, info: string): boolean;
    /**
     * 新建一个新的联系方式
     * @param type 联系方式类型
     * @param info 联系试式内容
     * @param countryId 国家id
     * */
    static newInfo(type: f2.info.Type, info?: string, countryId?: number): f2.info.Info;
    static getEmail(text: string): ItemReturn;
    static getWechat(text: string): ItemReturn;
    static getQq(text: string): ItemReturn;
    static getSkype(text: string): ItemReturn;
    static getPhone(text: string): ItemReturn;
    static getDataInfo(arr: string[], type: f2.info.Type): {
        type: f2.info.Type;
        info: string;
    }[];
    /**
    * 在url中提取联系方式
    * */
    static textToInfos(text: string): {
        infos: f2.info.Info[];
        text: string;
    };
}
export default ContactInfo;
